Subject: Re: [bug#40445] gnu: gsm: Update to 1.0.19.

From: "Raghav Gururajan" <[email-masked]>
Date: Sun, 05 Apr 2020 10:28:20 +0000

Hi Mathieu!

>> Ok, I see. Maybe it would be preferable to find a way to add "-fPIC" to
>> CCFLAGS without having to repeat all the other options that are already
>> present in the Makefile:
>> 
>> --8<---------------cut here---------------start------------->8---
>> CCFLAGS = -c -O2 -DNeedFunctionPrototypes=1 -Wall -Wno-comment
>> --8<---------------cut here---------------end--------------->8---
>> 
>> Adding a new 'add-fpic-ccflag' phase could be an option?
> 
> We can do that too. But this seems simple and less messy :-)

Also, I believe, the make-flag just overwrites that line in the source.

Regards,
RG.